from Functions import *

# Input File comprovations
if len(sys.argv) != 2:
    print "Must put a input file."
    exit(1)

filename = sys.argv[1]
if not os.path.isfile(filename):
    print filename,"is not a valid input file."
    exit(1)


with open(filename, "r") as f:
    data = [l for l in f]
    equation = [l for l in data if l.count("! Line (do not remove this comment )")][0]
    equation = equation.split("!")[0].strip().lower()
    outp, inp = equation.split("=")

    # Count number of flops in input parameters
    FLOP = count_flops(inp)
    LD = identify_independent_variables(inp)
    SR = 1

    # Compute flop per byte ratio
    MEM = 8*(LD+SR)
    print MEM


